Skip to main content
GET
Retrieve a record

Authorizations

Authorization
string
header
required

Bearer token issued via the Authentication endpoints.

Headers

Authorization
string
required

A bearer authorization header containing a Risk Cloud API access token in the format Authorization: Bearer TOKEN — replace TOKEN with your actual access token.

To obtain a Risk Cloud API access token, refer to Obtain an API Access Token in the LogicGate Help Center.

Path Parameters

id
string
required

The unique identifier of the record

Response

200 - application/json

OK

id
string

The unique ID of this Risk Cloud resource

Example:

"a1b2c3d4"

recordName
string

The workflow prefix and sequence number of the record

Example:

"Assessment-7"

name
string

The text value of the primary field of the record, otherwise the workflow prefix and sequence number of the record

Example:

"Medium Risk"

status
enum<string>

The status of the record

Available options:
INACTIVE,
NOT_ASSIGNED,
ASSIGNED,
IN_PROGRESS,
COMPLETE
Example:

"IN_PROGRESS"

sequenceNumber
integer<int64>

The sequence number of the record

Example:

7

dates
Record Dates · object

Date information associated with the record

assignee
User (Property) · object

The current assignee of the record

creator
User (Property) · object

The creator of the record

application
Application (Property) · object

The parent application of the record

workflow
Workflow (Property) · object

The parent workflow of the record

currentStep
Step (Property) · object

The current step of the record

originStep
Step (Property) · object

The origin step of the record

fields
Field (Record) · object[]

The fields and values of the record

object
string

Identifies the type of object this data represents

Example:

"application"